The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

php 4.3.2 (Stable)

Discussion in 'General Discussion' started by gunmuse, Jul 10, 2003.

  1. gunmuse

    gunmuse Well-Known Member

    Joined:
    Jul 3, 2003
    Messages:
    98
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    New Mexico
    Ok I want to upgrade from 4.3.1 to .2 as there are TONS of bug fixes Dozens of security patches and this is the latest stable release and the last release of the 4.xxx series 5.0 is now in beta.

    So Can I do this without messing up cpanel.

    Redhat 7.3 dual Pentium with multi-thread and Raid 5 harddrives cpanel 7 e59

    cPanel.net Support Ticket Number:
     
  2. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    Just run /scripts/easyapache

    cPanel.net Support Ticket Number:
     
  3. Steve-PWH

    Steve-PWH Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    116
    Likes Received:
    0
    Trophy Points:
    16
    Deselect 'downgrade to php 4.3.1' in easyapache option 6

    Note: phpsuexec dont work with 4.3.2 hence CP dont install by default

    cPanel.net Support Ticket Number:
     
  4. dysk

    dysk Well-Known Member

    Joined:
    Apr 22, 2003
    Messages:
    52
    Likes Received:
    0
    Trophy Points:
    6
    Hi-
    Is phpsuexec actually necessary with all of the user and group tags in each <virtualdomain> entry in httpd.conf?
    common sense would tell me that would cause apache and therefore php to run as the user within each virtual domain. I haven't actually tested this though.


    Regards,
    Erek Dyskant
    Unix Consultant

    cPanel.net Support Ticket Number:
     
  5. shaun

    shaun Well-Known Member

    Joined:
    Nov 9, 2001
    Messages:
    698
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    San Clemente, Ca
    phpsuexec should work now with 4.3.2 nick wrote a patch that fix's php issue with it.

    cPanel.net Support Ticket Number:
     
  6. Stefaans

    Stefaans Well-Known Member

    Joined:
    Mar 5, 2002
    Messages:
    451
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Vancouver, Canada
    Great stuff!! I will surely try it out over the weekend.

    cPanel.net Support Ticket Number:
     
  7. gunmuse

    gunmuse Well-Known Member

    Joined:
    Jul 3, 2003
    Messages:
    98
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    New Mexico
    so do I turn it on or not to keep 4.2.3

    What do I need it for?

    cPanel.net Support Ticket Number:
     
  8. Stefaans

    Stefaans Well-Known Member

    Joined:
    Mar 5, 2002
    Messages:
    451
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Vancouver, Canada
    No, I just tried phpsuexec with PHP 4.3.2 and it does not work. We had PHP 4.3.1 running OK with phpsuexec.

    The latest esyapache doesn't allow me to downgrade to v 4.3.1 anymore. And I don't want to go back to 4.2.3. So I gues it's going to be 4.3.2 without phpsuexec for the time being :rolleyes:

    cPanel.net Support Ticket Number:
     
  9. MattDr2

    MattDr2 Well-Known Member
    PartnerNOC

    Joined:
    Feb 19, 2003
    Messages:
    84
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Norman, OK
    Are you sure?

    I am running php4.3.2 on 10 servers w/ phpSuExec without a problem.

    Regards,
    Matt

    cPanel.net Support Ticket Number:
     
  10. Stefaans

    Stefaans Well-Known Member

    Joined:
    Mar 5, 2002
    Messages:
    451
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Vancouver, Canada
    I'be tried it on two severs with easyapache of July 12. Neither works :(

    cPanel.net Support Ticket Number:
     
  11. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA

    No, everything will run as the user 'nobody', the user that Apache runs as, unless you use phpsuexec.

    Although it may seem like a no-brainer to install phpsuexec support, you'll want to decide if you really want to start using phpsuxec as there are pitfalls. Scan the forums here for phpsuexec or do a search on the net for a whole slew of them.

    cPanel.net Support Ticket Number:
     
  12. Stbjr

    Stbjr Registered

    Joined:
    Jul 17, 2002
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    same problem

    Yesterday when i first started to compile apache it wasn't starting correctly but then i remember my mod_perl mod to it... and that worked but now PHP isn't phaseing Any thing into a usefull site. like it just comes up to download and not run through the interpreter...

    cPanel.net Support Ticket Number:
     
  13. jsteel

    jsteel Well-Known Member

    Joined:
    Jul 4, 2002
    Messages:
    646
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Atlanta, GA
    Re: same problem

    That sounds like the latest Zend issue impacting the php.ini file. Do a quick search here for 'php.ini' and make sure you have the '.:' fix performed that you'll find.

    cPanel.net Support Ticket Number:
     
  14. mpierre

    mpierre Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
    I ran PHP 4.3.2 with PHPsuexec all day without problems, except one : mail() no longer works !!!

    I can still send mail from Perlscripts, but I can't send e-mails from PHP !

    Any ideas ?

    I checked from WHM ( the new WHM Easyapache module is really cool... you have all the options on one page ! I love it ! Thanks Nick ! ) :

    GZip, Curl, Curl SSL, GD, Mbstring, Ming, Mcrypt, Freetype, PHPSuexec.

    Plus all the default options.

    Other than Mail not working, PHPSuexec works fine with 4.3.2 !

    cPanel.net Support Ticket Number:
     
  15. mpierre

    mpierre Well-Known Member

    Joined:
    Jun 30, 2002
    Messages:
    196
    Likes Received:
    0
    Trophy Points:
    16
  16. Admin356

    Admin356 Active Member

    Joined:
    Feb 19, 2003
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    I've tried to go back and recompile further options into php (4.3.2 with phpsuexec) after installing with buildapache and been unable to get php cgi to work with the new options - Does anyone know the trick to recompiling php without going through the buidapache script?

    cPanel.net Support Ticket Number:
     
  17. Stefaans

    Stefaans Well-Known Member

    Joined:
    Mar 5, 2002
    Messages:
    451
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Vancouver, Canada
    I'd love to see a step-by-step how-to on that as well ;)

    BTW, I got all our boxes running OK agin with PHP4.3.2. and phpsuexec. This time round with buildapache.sea of July 13. It seems like the July 12 edition had a problem :D

    cPanel.net Support Ticket Number:
     
  18. Admin356

    Admin356 Active Member

    Joined:
    Feb 19, 2003
    Messages:
    25
    Likes Received:
    0
    Trophy Points:
    1
    Had problems with the July 13 builds too, seems to be a http header problem, when running php scripts, anything that uses a URL such as http://domain.com/index.php/some-link was failing and giving 404 errors - Had to uninstall phpsuexec due to not being able to fix it up.

    Any ideas? Anyone know how to recompile php, i had a patch for the source to try and fix this issue but was unable to get the cgi to install - going back to php after running the buildapache script and trying ./configure --without-apache or any other way did not work.

    cPanel.net Support Ticket Number:
     
Loading...

Share This Page